Bug 150770 - [patch] devel/geany v0.19
Summary: [patch] devel/geany v0.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-21 07:10 UTC by Aldis Berjoza
Modified: 2010-10-09 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (4.46 KB, patch)
2010-09-21 07:10 UTC, Aldis Berjoza
no flags Details | Diff
geany.patch (4.53 KB, patch)
2010-09-21 16:09 UTC, Aldis Berjoza
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2010-09-21 07:10:05 UTC
Update geany to v0.19

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-09-21 07:10:08 UTC
Maintainer of devel/geany,

Please note that PR ports/150770 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150770

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-21 07:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Aldis Berjoza 2010-09-21 16:09:19 UTC
Attached patch for geany v0.18 to v0.19.1


-- 
Aldis Berjoza
Comment 4 Andris Raugulis 2010-09-25 08:27:35 UTC
1) pkg-plist is wrong:

   a) missing locales in plist

   b) dirrm -> dirrmtry of lib/geany is incorrect.
      this port creates it & this port should delete it.

   c) I'm removing @dirrmtry share/icons/*, because geany
      depends on gtk and gtk depends on hicolor-icon-theme,
      which handles them (icon directories) directly.

P.S. bonus points, Aldis, for rearranging .png's alphabetically.


2) rest (Makefile/distinfo) is fine; but I'm including
   my full patch anyway, at the bottom, inlined.


3) this introduces problems with geany-plugins:

geany-plugins needs update to 0.19+, because at it's current
state (0.18) they won't compile against geany 0.19.1. As Aldis,
initial patch sender, is maintainer of that port, he needs to
update it to 0.19. 

I heard from him that debug plugin is broken. If so, in my opinion, 
geany-plugins needs update anyway plus sign that option as broken
while we can figure out and fix that particular plugin, otherwise
geany can't be updated without breaking geany-plugins.

Thoughts, Aldis & Edwin?



diff -ruN geany.orig/Makefile geany/Makefile
--- geany.orig/Makefile	2010-09-25 08:20:55.000000000 +0300
+++ geany/Makefile	2010-09-25 08:21:20.000000000 +0300
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	geany
-PORTVERSION=	0.18
-PORTREVISION=	3
+PORTVERSION=	0.19.1
 CATEGORIES=	devel
 MASTER_SITES=	http://download.geany.org/ SF
 
diff -ruN geany.orig/distinfo geany/distinfo
--- geany.orig/distinfo	2010-09-25 08:20:55.000000000 +0300
+++ geany/distinfo	2010-09-25 08:24:20.000000000 +0300
@@ -1,3 +1,3 @@
-MD5 (geany-0.18.tar.bz2) = d8e301f6933c828e2c36b3afdb3f4c34
-SHA256 (geany-0.18.tar.bz2) = 7cb387d394b58b9ee1119dc6770b437e4a4c9e72b591b0bd431e54558f51212d
-SIZE (geany-0.18.tar.bz2) = 2457351 
+MD5 (geany-0.19.1.tar.bz2) = 5ed9623081ce2a23b9a3425b0486bba3 
+SHA256 (geany-0.19.1.tar.bz2) = 88a19293aefcc954b96ec2df0b17709ccdfbcb303b11f0e6852c390cb096d751 
+SIZE (geany-0.19.1.tar.bz2) = 2908755
diff -ruN geany.orig/pkg-plist geany/pkg-plist
--- geany.orig/pkg-plist	2010-09-25 08:20:55.000000000 +0300
+++ geany/pkg-plist	2010-09-25 09:28:19.000000000 +0300
@@ -1,5 +1,4 @@
 bin/geany
-include/geany/dialogs.h
 include/geany/document.h
 include/geany/editor.h
 include/geany/encodings.h
@@ -9,19 +8,16 @@
 include/geany/geanyplugin.h
 include/geany/highlighting.h
 include/geany/keybindings.h
-include/geany/main.h
 include/geany/msgwindow.h
 include/geany/plugindata.h
-include/geany/pluginmacros.h
-include/geany/plugins.h
 include/geany/prefs.h
 include/geany/project.h
 include/geany/scintilla/SciLexer.h
 include/geany/scintilla/Scintilla.h
 include/geany/scintilla/Scintilla.iface
 include/geany/scintilla/ScintillaWidget.h
-include/geany/sciwrappers.h
 include/geany/search.h
+include/geany/stash.h
 include/geany/support.h
 include/geany/tagmanager/tm_file_entry.h
 include/geany/tagmanager/tm_project.h
@@ -68,12 +64,14 @@
 %%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
 %%PORTDOCS%%%%DOCSDIR%%/TODO
 %%PORTDOCS%%%%DOCSDIR%%/THANKS
+%%PORTDOCS%%%%DOCSDIR%%/html/images/build_menu_commands_dialog.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/find_in_files_dialog.png
+%%PORTDOCS%%%%DOCSDIR%%/html/images/main_window.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_completions.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_display.png
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_indentation.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_features.png
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_indentation.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_files.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen_misc.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen_startup.png
@@ -89,6 +87,8 @@
 %%PORTDOCS%%%%DOCSDIR%%/manual.txt
 %%DATADIR%%/GPL-2
 %%DATADIR%%/filetype_extensions.conf
+%%DATADIR%%/filetypes.Genie.conf
+%%DATADIR%%/filetypes.abc
 %%DATADIR%%/filetypes.actionscript
 %%DATADIR%%/filetypes.ada
 %%DATADIR%%/filetypes.asm
@@ -116,6 +116,7 @@
 %%DATADIR%%/filetypes.latex
 %%DATADIR%%/filetypes.lua
 %%DATADIR%%/filetypes.makefile
+%%DATADIR%%/filetypes.markdown
 %%DATADIR%%/filetypes.matlab
 %%DATADIR%%/filetypes.nsis
 %%DATADIR%%/filetypes.pascal
@@ -129,18 +130,30 @@
 %%DATADIR%%/filetypes.sh
 %%DATADIR%%/filetypes.sql
 %%DATADIR%%/filetypes.tcl
+%%DATADIR%%/filetypes.txt2tags
 %%DATADIR%%/filetypes.vala
+%%DATADIR%%/filetypes.verilog
 %%DATADIR%%/filetypes.vhdl
 %%DATADIR%%/filetypes.xml
 %%DATADIR%%/filetypes.yaml
 %%DATADIR%%/c99.tags
 %%DATADIR%%/html_entities.tags
-%%DATADIR%%/latex.tags
 %%DATADIR%%/pascal.tags
 %%DATADIR%%/php.tags
 %%DATADIR%%/python.tags
 %%DATADIR%%/snippets.conf
 %%DATADIR%%/ui_toolbar.xml
+%%DATADIR%%/templates/files/file.html
+%%DATADIR%%/templates/files/file.php
+%%DATADIR%%/templates/files/file.rb
+%%DATADIR%%/templates/files/file.tex
+%%DATADIR%%/templates/files/main.c
+%%DATADIR%%/templates/files/main.cxx
+%%DATADIR%%/templates/files/main.d
+%%DATADIR%%/templates/files/main.java
+%%DATADIR%%/templates/files/main.py
+%%DATADIR%%/templates/files/program.pas
+%%NLS%%share/locale/ast/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/be/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
@@ -151,6 +164,7 @@
 %%NLS%%share/locale/es/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/gl/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/it/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/geany.mo
@@ -158,8 +172,8 @@
 %%NLS%%share/locale/lb/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pt/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/pt_PT/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/geany.mo
@@ -172,18 +186,12 @@
 %%NLS%%@dirrmtry share/locale/lb/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/lb
 @dirrm lib/geany
+@dirrm %%DATADIR%%/templates/files
+@dirrm %%DATADIR%%/templates
 @dirrm %%DATADIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrmtry share/icons/hicolor/scalable/apps
-@dirrmtry share/icons/hicolor/scalable
-@dirrmtry share/icons/hicolor/48x48/apps
-@dirrmtry share/icons/hicolor/48x48
-@dirrmtry share/icons/hicolor/16x16/apps
-@dirrmtry share/icons/hicolor/16x16
-@dirrmtry share/icons/hicolor
-@dirrmtry share/icons
 @dirrmtry share/applications
 @dirrm include/geany/tagmanager
 @dirrm include/geany/scintilla
Comment 5 Aldis Berjoza 2010-09-25 10:35:11 UTC
On Sat, 25 Sep 2010 10:27:35 +0300, Andris Raugulis <ar@null.lv> wrote:

> P.S. bonus points, Aldis, for rearranging .png's alphabetically.

Power of vim :)


> 3) this introduces problems with geany-plugins:
>
> geany-plugins needs update to 0.19+, because at it's current
> state (0.18) they won't compile against geany 0.19.1. As Aldis,
> initial patch sender, is maintainer of that port, he needs to
> update it to 0.19.
>
> I heard from him that debug plugin is broken. If so, in my opinion,
> geany-plugins needs update anyway plus sign that option as broken
> while we can figure out and fix that particular plugin, otherwise
> geany can't be updated without breaking geany-plugins.
>
> Thoughts, Aldis & Edwin?

I will send pr for geany-plugins in about hour.

Also I'd like to suggest to edit category for geany (if you accept this I  
will modify geany-plugins category as well)
I suggest modifying categories to:
CATEGORIES=     devel editors

or even better
CATEGORIES=     editors devel

Which effectively moves geany to editors (after all it is an editor)

What do you think?
--
Aldis Berjoza
Comment 6 Andris Raugulis 2010-09-25 10:59:43 UTC
> Also I'd like to suggest to edit category for geany (if you accept
> this I will modify geany-plugins category as well)
> I suggest modifying categories to:
> CATEGORIES=     devel editors
> 
> or even better
> CATEGORIES=     editors devel
> 
> Which effectively moves geany to editors (after all it is an editor)

I definately second "editors" part, but I'm not sure about leaving
"devel". SciTe (editors/scite) is based on Scintilla, same as Geany,
and it has "editors gnome", which would be more appropriate.

That's why I would like to hear what commiter has to say.
Comment 7 Aldis Berjoza 2010-09-25 11:52:31 UTC
On Sat, 25 Sep 2010 12:35:11 +0300, Aldis Berjoza <aldis@bsdroot.lv> wrote:

> On Sat, 25 Sep 2010 10:27:35 +0300, Andris Raugulis <ar@null.lv> wrote:
>
>> P.S. bonus points, Aldis, for rearranging .png's alphabetically.
>
> Power of vim :)
>
>
>> 3) this introduces problems with geany-plugins:
>>
>> geany-plugins needs update to 0.19+, because at it's current
>> state (0.18) they won't compile against geany 0.19.1. As Aldis,
>> initial patch sender, is maintainer of that port, he needs to
>> update it to 0.19.
>>
>> I heard from him that debug plugin is broken. If so, in my opinion,
>> geany-plugins needs update anyway plus sign that option as broken
>> while we can figure out and fix that particular plugin, otherwise
>> geany can't be updated without breaking geany-plugins.
>>
>> Thoughts, Aldis & Edwin?
>
> I will send pr for geany-plugins in about hour.

Done
http://www.freebsd.org/cgi/query-pr.cgi?pr=150931

pr not visible (yet)
-- 
Aldis Berjoza
Comment 8 Andris Raugulis 2010-10-04 08:02:57 UTC
Edwin, any feedback?
Comment 9 Max Brazhnikov freebsd_committer 2010-10-09 21:15:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 10 dfilter service freebsd_committer 2010-10-09 21:44:20 UTC
makc        2010-10-09 20:44:13 UTC

  FreeBSD ports repository

  Modified files:
    devel/geany          Makefile distinfo pkg-plist 
  Log:
  Update to 0.19.1
  
  PR:             ports/150770
  Submitted by:   Aldis Berjoza <aldis at bsdroot.lv>
  Reviewed by:    Andris Raugulis (maintainer)
  
  Revision  Changes    Path
  1.21      +2 -3      ports/devel/geany/Makefile
  1.12      +3 -3      ports/devel/geany/distinfo
  1.13      +24 -16    ports/devel/geany/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Max Brazhnikov freebsd_committer 2010-10-09 21:45:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!